Bug 1354 - netstat -M still broken in net-tools-1.50-0
Summary: netstat -M still broken in net-tools-1.50-0
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools
Version: 5.2
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-26 18:06 UTC by everett
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 14:10:40 UTC


Attachments (Terms of Use)

Description everett 1999-02-26 18:06:14 UTC
netstat -M works as expected until ICMP is masqed.  Then,
the result is:

masq_info.c: Internal Error `ip_masquerade unknown type'.

Per bugid #1154, netstat was built from
net-tools-1.50-0.src.rpm.  I'm running kernel 2.0.36-3.

Comment 1 Preston Brown 1999-08-18 14:10:59 UTC
the newer netstat commands expect kernel 2.2 masquerading/firewalling
semantics.  You can't use these newer packages without a 2.2 kernel.

Please recompile the the 1.46 version that came with 5.2 to include
masquerading support if you need it, or upgrade to a newer release of
the kernel and use the 1.5x version from 6.0 or RawHide.


Note You need to log in before you can comment on or make changes to this bug.